require 'aasm'
require 'active_record'
require 'simple_payment/transmission_error'
require 'simple_payment/braintree/gateway'
require 'simple_payment/braintree/request'
require 'simple_payment/braintree/response'
require 'simple_payment/models/payment'
require 'simple_payment/models/transaction'
require 'simple_payment/version'
require 'simple_payment/test/gateway'
require 'simple_payment/test/request'
require 'simple_payment/test/response'

module SimplePayment
  class << self
    def gateway
      if @gateway.respond_to?(:new)
        @gateway.new
      else
        @gateway
      end
    end

    def configure(options)
      @gateway = options[:gateway]
      @gateway = SimplePayment::Test::Gateway if @gateway == :test
    end

    def clear_configuration
      @gateway = nil
    end
  end
end
